<?php

namespace App\Http\Controllers;

use App\Device;
use App\User;
use DB;

class EstadisticasController extends Controller
{
    public function sexos()
    {
        return view('admin.pages.usuarios');
    }

    public function so()
    {
        $total   = DB::table('dispositivos')->count();
        $windows = DB::table('dispositivos')->where('so', 'Windows')->count();
        $android = DB::table('dispositivos')->where('so', 'Android')->count();
        $macOS   = DB::table('dispositivos')->where('so', 'MacOS')->count();
        $linux   = DB::table('dispositivos')->where('so', 'Linux')->count();
        return view('admin.pages.so')->with(['total' => $total, 'windows' => $windows, 'android' => $android, 'macOS' => $macOS, 'linux' => $linux]);
    }

    public function navegadores()
    {
        $total    = DB::table('dispositivos')->count();
        $chrome   = DB::table('dispositivos')->where('navegador', 'Chrome')->count();
        $firefox  = DB::table('dispositivos')->where('navegador', 'Firefox')->count();
        $safari   = DB::table('dispositivos')->where('navegador', 'Safari')->count();
        $edge     = DB::table('dispositivos')->where('navegador', 'Edge')->count();
        $opera    = DB::table('dispositivos')->where('navegador', 'Opera')->count();
        $explorer = DB::table('dispositivos')->where('navegador', 'Explorer')->count();
        return view('admin.pages.navegadores')->with(['chrome' => $chrome, 'firefox' => $firefox, 'safari' => $safari, 'edge' => $edge, 'opera' => $opera, 'total' => $total, 'explorer' => $explorer]);
    }

    public function estados()
    {
        $total            = DB::table('dispositivos')->count();
        $jalisco          = DB::table('dispositivos')->where('region', 'Jalisco')->count();
        $aguascalientes   = DB::table('dispositivos')->where('region', 'Aguascalientes')->count();
        $distrito_federal = DB::table('dispositivos')->where('region', 'Distrito Federal')->count();
        $nuevo_leon       = DB::table('dispositivos')->where('region', 'Nuevo León')->count();
        $puebla           = DB::table('dispositivos')->where('region', 'Puebla')->count();
        $tlaxcala         = DB::table('dispositivos')->where('region', 'Tlaxcala')->count();

        return view('admin.pages.estados')->with(['jalisco' => $jalisco, 'aguascalientes' => $aguascalientes, 'total' => $total, 'distrito_federal' => $distrito_federal, 'nuevo_leon' => $nuevo_leon, 'puebla' => $puebla, 'tlaxcala' => $tlaxcala]);
    }

    public function paises()
    {
        $total          = DB::table('dispositivos')->count();
        $mexico         = DB::table('dispositivos')->where('country', 'MX')->count();
        $estados_unidos = DB::table('dispositivos')->where('country', 'EUA')->count();
        $canada         = DB::table('dispositivos')->where('country', 'CA')->count();

        return view('admin.pages.paises')->with(['mexico' => $mexico, 'estados_unidos' => $estados_unidos, 'canada' => $canada, 'total' => $total]);
    }

    public function resoluciones()
    {
        $total = DB::table('dispositivos')->count();
        $r1    = DB::table('dispositivos')->where('height', '570')->count();
        $r2    = DB::table('dispositivos')->where('height', '640')->count();
        $r3    = DB::table('dispositivos')->where('height', '768')->count();
        $r4    = DB::table('dispositivos')->where('height', '800')->count();

        return view('admin.pages.resoluciones')->with(['r1' => $r1, 'r2' => $r2, 'r3' => $r3, 'r4' => $r4, 'total' => $total]);
    }

    public function idiomaadmin()
    {
        $total   = DB::table('dispositivos')->count();
        $espanol = DB::table('dispositivos')->where('language', 'like', 'es%')->count();
        $ingles  = DB::table('dispositivos')->where('language', 'like', 'en%')->count();
        return view('admin.pages.idiomas')->with(['espanol' => $espanol, 'ingles' => $ingles, 'total' => $total]);
    }

    public function edad()
    {
        $total  = DB::table('users')->count();
        $edad1  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '2018')->whereYear('fecha_nacimiento', '>=', '2008')->count();
        $edad2  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '2007')->whereYear('fecha_nacimiento', '>=', '2003')->count();
        $edad3  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '2002')->whereYear('fecha_nacimiento', '>=', '1998')->count();
        $edad4  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1997')->whereYear('fecha_nacimiento', '>=', '1993')->count();
        $edad5  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1992')->whereYear('fecha_nacimiento', '>=', '1988')->count();
        $edad6  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1987')->whereYear('fecha_nacimiento', '>=', '1983')->count();
        $edad7  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1982')->whereYear('fecha_nacimiento', '>=', '1978')->count();
        $edad8  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1977')->whereYear('fecha_nacimiento', '>=', '1973')->count();
        $edad9  = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1972')->whereYear('fecha_nacimiento', '>=', '1968')->count();
        $edad10 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1967')->whereYear('fecha_nacimiento', '>=', '1958')->count();
        $edad11 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1957')->whereYear('fecha_nacimiento', '>=', '1948')->count();
        $edad12 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1947')->whereYear('fecha_nacimiento', '>=', '1938')->count();
        $edad13 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1937')->whereYear('fecha_nacimiento', '>=', '1928')->count();
        $edad14 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1927')->whereYear('fecha_nacimiento', '>=', '1918')->count();
        $edad15 = DB::table('users')->whereYear('fecha_nacimiento', '<=', '1917')->whereYear('fecha_nacimiento', '>=', '1908')->count();
        return view('admin.pages.edad')->with(['edad1' => $edad1, 'edad2' => $edad2, 'edad3' => $edad3, 'edad4' => $edad4, 'edad5' => $edad5, 'edad6' => $edad6, 'edad7' => $edad7, 'edad8' => $edad8, 'edad9' => $edad9, 'edad10' => $edad10, 'edad11' => $edad11, 'edad12' => $edad12, 'edad13' => $edad13, 'edad14' => $edad14, 'edad15' => $edad15, 'total' => $total]);
    }

    public function registros_mes($fechai, $fechaf)
    {
        $sexos         = DB::table('sexos')->count();
        $fecha_inicial = $fechai;
        $fecha_final   = $fechaf;
        $total         = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->count();
        $hombres       = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 1)->count();
        $mujeres       = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 2)->count();
        $otros         = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 3)->count();

        $data = array("total" => $total, "hombres" => $hombres, "mujeres" => $mujeres, "otros" => $otros, "sexos" => $sexos);
        return json_encode($data);
    }

    public function getUltimoDiaMes($elAnio, $elMes)
    {
        return date("d", (mktime(0, 0, 0, $elMes + 1, 1, $elAnio) - 1));
    }

    public function registro_total_mes($anio, $mes)
    {
        $primer_dia    = 1;
        $ultimo_dia    = $this->getUltimoDiaMes($anio, $mes);
        $fecha_inicial = date("Y-m-d H:i:s", strtotime($anio . "-" . $mes . "-" . $primer_dia));
        $fecha_final   = date("Y-m-d H:i:s", strtotime($anio . "-" . $mes . "-" . $ultimo_dia));
        $total         = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->count();
        $hombres       = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 1)->get();
        $mujeres       = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 2)->get();
        $otros         = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 3)->get();
        $h             = count($hombres);
        $m             = count($mujeres);
        $o             = count($otros);

        for ($d = 1; $d <= $ultimo_dia; $d++) {
            $registrosh[$d] = 0;
            $registrosm[$d] = 0;
            $registroso[$d] = 0;
        }

        foreach ($hombres as $hombre) {
            $diasel = intval(date("d", strtotime($hombre->created_at)));
            $registrosh[$diasel]++;
        }

        foreach ($mujeres as $mujer) {
            $diasel = intval(date("d", strtotime($mujer->created_at)));
            $registrosm[$diasel]++;
        }

        foreach ($otros as $otro) {
            $diasel = intval(date("d", strtotime($otro->created_at)));
            $registroso[$diasel]++;
        }

        $data = array("totaldias" => $ultimo_dia, "registrosh" => $registrosh, "registrosm" => $registrosm, "registroso" => $registroso);
        return json_encode($data);
    }

    public function registro_total_idiomas($anio, $mes)
    {
        $primer_dia    = 1;
        $ultimo_dia    = $this->getUltimoDiaMes($anio, $mes);
        $fecha_inicial = date("Y-m-d H:i:s", strtotime($anio . "-" . $mes . "-" . $primer_dia));
        $fecha_final   = date("Y-m-d H:i:s", strtotime($anio . "-" . $mes . "-" . $ultimo_dia));
        $total         = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->count();
        $espanol       = Device::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('device', 1)->get();
        $ingles        = User::whereBetween('created_at', [$fecha_inicial, $fecha_final])->where('id_sexo', 2)->get();
        $h             = count($hombres);
        $m             = count($mujeres);
        $o             = count($otros);

        for ($d = 1; $d <= $ultimo_dia; $d++) {
            $registrosh[$d] = 0;
            $registrosm[$d] = 0;
            $registroso[$d] = 0;
        }

        foreach ($hombres as $hombre) {
            $diasel = intval(date("d", strtotime($hombre->created_at)));
            $registrosh[$diasel]++;
        }

        foreach ($mujeres as $mujer) {
            $diasel = intval(date("d", strtotime($mujer->created_at)));
            $registrosm[$diasel]++;
        }

        foreach ($otros as $otro) {
            $diasel = intval(date("d", strtotime($otro->created_at)));
            $registroso[$diasel]++;
        }

        $data = array("totaldias" => $ultimo_dia, "registrosh" => $registrosh, "registrosm" => $registrosm, "registroso" => $registroso);
        return json_encode($data);
    }
}
