<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\DB;
use App\Http\Requests\ProductFormRequest;
use App\Product;
use App\Category;
use App\UseState;
use Image;

class ProductsController extends Controller
{
    public function index(){
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }
    
    public function indexo(Request $request){
      $codigo = $request->get('buscar');
      $products = DB::table('productos as p')
      ->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
      ->select('p.*', 'uso.nombre as uso')
      ->where('p.nombre','like', '%'. $codigo . '%')
      ->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat1(){
      $cat1 = '1';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat1)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat2(){
      $cat2 = '2';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat2)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat3(){
      $cat3 = '3';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat3)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat4(){
      $cat4 = '4';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat4)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat5(){
      $cat5 = '5';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat5)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat6(){
      $cat6 = '6';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat6)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat7(){
      $cat7 = '7';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat7)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat8(){
      $cat8 = '8';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat8)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat9(){
      $cat9 = '9';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat9)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function indexCat10(){
      $cat10 = '10';
      $products = DB::table('productos as p')
  		->join('estado_uso as uso', 'p.id_uso', '=', 'uso.id')
  		->select('p.*', 'uso.nombre as uso')->where('id_categoria', $cat10)->paginate(12);
      //dd($products);
      return view('welcome', compact('products'), compact('categories'));

    }

    public function show($slug){

      $product = DB::table('productos as p')
  		->join('users as u', 'p.id_usuario', '=', 'u.id')
  		->select('p.*', 'u.email as usuario')->where('p.id', $slug)->first();
      return view('products.show', compact('product'));

    }

    public function create(){

      $categories = Category::all();
      $usestate = UseState::all();

      return view('products.create', compact('categories'), compact('usestate'));

    }

    public function store(ProductFormRequest $request)
    {
      //Función para insertar los productos a la bd.
      $file = Input::file('imagen');
      $random = str_random(20);
      $namfile = $random . $file->getClientOriginalName();
      //$path = public_path( 'products/' . $namfile );
      $path = '/home/onwebsho/public_html/products/' . $namfile;
      $url = '/products' . '/' . $namfile;
      //dd($url);

      $image = Image::make($file->getRealPath());
      $image->save($path);

      $product = new Product;
      $product->nombre = $request->get('nombre');
      $product->precio = $request->get('precio');
      $product->descripcion = $request->get('descripcion');
      $product->cantidad = $request->get('cantidad');

      if ($request->hasFile('imagen')) {
        $product->imagen = $url;
      }

      $product->id_categoria = $request->get('id_categoria');
      $product->id_uso = $request->get('id_uso');
      $product->id_usuario = auth()->user()->id;

      $product->save();
      return redirect('sale/product/create')->with('status', 'Su producto ha sido publicado con exito.');
    }
}
