<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dispositivos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nombre', 30);
            $table->string('sisop', 20);
            $table->date('ultimacon');
            $table->string('navegador');
            $table->string('marca',20);
            $table->string('modelo',30);
            $table->integer('x');
            $table->integer('y');
            $table->string('unires', 10);
            $table->integer('id_tipodis')->unsigned();
            $table->foreign('id_tipodis')->references('id')->on('tipos_dispositivos')->onDelete('cascade');
            $table->string('idioma', 100);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dispositivos');
    }
}
