@extends('layout.master')

@section('content')

  <div class="container">
    <br>
    <div class="page-header">
      <h3><i class="ion-ios-cart"></i> Carrito de compras</h3><hr>
    </div>

      <div class="table-cart">
        @if (count($cart))

          <p class="text-center">
            <a href="{{ route('cart-trash') }}" class="btn btn-danger">Vaciar carrito <i class="ion-ios-trash"></i></a>
          </p>

        <div class="table-responsive">
          <table class="table table-striped table-hover table-bordered">
            <thead>
              <tr>
                <th>Foto</th>
                <th>Producto</th>
                <th>Precio</th>
                <th>Cantidad</th>
                <th>Subtotal</th>
                <th>Quitar</th>
              </tr>
            </thead>
            <tbody>
              @foreach ($cart as $item)
                <tr>
                  <td><img src="{{ $item->imagen }}"></td>
                  <td>{{ $item->nombre }}</td>
                  <td>${{ number_format($item->precio,2) }}</td>
                  <td>
                    <input type="number" min="1" max="100" value="{{ $item->cantidad }}" id="product_{{ $item->id }}">
                    <a href="#" class="btn btn-warning btn-update-item" data-href="{{ route('cart-update', $item->id) }}" data-id="{{ $item->id }}"><i class="ion-refresh"></i></a>
                  </td>
                  <td>${{ number_format($item->precio * $item->cantidad,2) }}</td>
                  <td>
                    <a class="btn btn-danger ion-close-round" href="{{ route('cart-delete', $item->id) }}"></a>
                  </td>
                </tr>
              @endforeach
            </tbody>
          </table><hr>
          <h3 class="text-center">
            <span class="label label-success">
              Total: ${{ number_format($total,2) }}
            </span>
          </h3>
        </div>
      @else
        <h4 class="text-center"><span class="label label-warning">No hay productos en el carrito.</span></h4>
      @endif
      <hr>
      <p class="text-center">
        <a href="{{ route('welcome') }}" class="btn btn-dark">
          <i class="ion-arrow-left-c"></i> Continuar comprando
        </a>

        <a href="{{ route('order-detail') }}" class="btn btn-dark">
          Continuar <i class="ion-arrow-right-c"></i>
        </a>
      </p>
      </div>
  </div>

@endsection
