@extends('layout.master')

@section('content')<hr>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card card-default">
                <div class="card-header">Registrar Producto</div>

                <div class="card-body">
                    <form method="POST" enctype="multipart/form-data">

                      @foreach ($errors->all() as $error)
                        <p class="alert alert-danger">{{ $error }}</p>
                      @endforeach

                      @if (session('status'))
                        <div class="alert alert-success">
                          {{ session('status') }}
                        </div>
                      @endif
                      <!-- //Token para formulario -->
                      <input type="hidden" name="_token" value="{!! csrf_token() !!}">

                        <div class="form-group row">
                            <label for="producto" class="col-md-4 col-form-label text-md-right">Nombre del Producto</label>

                            <div class="col-md-6">
                                <input id="nombre" type="text" class="form-control{{ $errors->has('nombre') ? ' is-invalid' : '' }}" name="nombre" value="{{ old('nombre') }}" required autofocus>

                                @if ($errors->has('nombre'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('nombre') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="precio" class="col-md-4 col-form-label text-md-right">Precio</label>

                            <div class="col-md-6">
                                <input id="precio" placeholder="$" type="text" class="form-control{{ $errors->has('precio') ? ' is-invalid' : '' }}" name="precio" value="{{ old('precio') }}" required autofocus>
                                @if ($errors->has('precio'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('precio') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="descripcion" class="col-md-4 col-form-label text-md-right">Descripción</label>

                            <div class="col-md-6">
                              <textarea id="descripcion" name="descripcion" class="form-control{{ $errors->has('descripcion') ? ' is-invalid' : '' }}" name="descripcion" value="{{ old('descripcion') }}" required></textarea>
                                @if ($errors->has('descripcion'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('descripcion') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="cantidad" class="col-md-4 col-form-label text-md-right">Cantidad</label>

                            <div class="col-md-6">
                                <input id="cantidad" type="number" min="1" max="100" class="form-control{{ $errors->has('cantidad') ? ' is-invalid' : '' }}" name="cantidad" required>

                                @if ($errors->has('cantidad'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('cantidad') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="categoria" class="col-md-4 col-form-label text-md-right">Categoria</label>

                            <div class="col-md-6">
                                <select name="id_categoria" id="id_categoria" class="form-control{{ $errors->has('') ? ' is-invalid' : '' }}" name="id_categoria" required>
                                  @foreach ($categories as $categorie)
                                    <option value="{{ $categorie->id }}">{{ $categorie->nombre }}</option>
                                  @endforeach
                                </select>

                                @if ($errors->has('id_categoria'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('id_categoria') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="id_uso" class="col-md-4 col-form-label text-md-right">Estado de uso</label>

                            <div class="col-md-6">
                                <select name="id_uso" id="id_uso" class="form-control{{ $errors->has('') ? ' is-invalid' : '' }}" name="id_uso" required>
                                  @foreach ($usestate as $use)
                                    <option value="{{ $use->id }}">{{ $use->nombre }}</option>
                                  @endforeach
                                </select>

                                @if ($errors->has('id_uso'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('id_uso') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="imagen" class="col-md-4 col-form-label text-md-right">Imágen</label>

                            <div class="col-md-6">
                                <input id="imagen" type="file" name="imagen" required accept="image/*">

                                @if ($errors->has('imagen'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('imagen') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-orange">
                                    Publicar Producto
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div><hr>
@endsection
