@extends('layout.master')
@section('content')
  <div class="container text-center">
    <div class="page-header">
      <h2>Detalle del pedido</h2>
    </div>

    <div class="page">
      <div class="table-responsive">
        <h3>Datos del usuario</h3>
        <table class="table table-striped table-hover table bordered">
          <tr>
            <td>Nombre:</td>
            <td>{{ Auth::user()->nombre . " " . Auth::user()->apellidos }}</td>
          </tr>
          <tr>
            <td>Correo:</td>
            <td>{{ Auth::user()->email }}</td>
          </tr>
          <tr>
            <td>Teléfono:</td>
            <td>{{ Auth::user()->numero_tel }}</td>
          </tr>
        </table>
      </div>
      <div class="table-responsive">
        <h3>Datos del pedido</h3>
        <table class="table table-striped table-hover table bordered">
          <tr>
            <th>Producto</th>
            <th>Precio</th>
            <th>Cantidad</th>
            <th>Subtotal</th>
          <tr>
            @foreach ($cart as $item)
              <tr>
                <td>{{ $item -> nombre }}</td>
                <td>${{ number_format($item -> precio,2) }}</td>
                <td>{{ $item -> cantidad }}</td>
                <td>${{ number_format($item->precio * $item->cantidad,2) }}</td>
              </tr>
            @endforeach
        </table><hr>
          <h3>
            <span class="label label-success">
              Total: ${{ number_format($total,2) }}
            </span>
          </h3><hr>
          <p>
            <a href="{{ route('cart-show') }}" class="btn btn-orange ion-arrow-left-c"> Regresar</a>
          </p>
          <p>
            <a href="{{ route('payment') }}" class="btn btn-warning ion-card"> Pagar con PayPal</a>
          </p>
      </div>
    </div>
  </div>
  
@endsection
