<?php

//Vincular router. Función anonima. para buscar producto y vincularse a métodos de cart.
Route::bind('product', function ($id) {
    return App\Product::where('id', $id)->first();
});

//Home
Route::name('welcome')->get('/', 'ProductsController@index');
Route::name('search')->get('search', 'ProductsController@indexo');

//NextRegisterUser
Route::name('thanks')->get('thanks', 'AdminController@thanks');

//E-mail verification
Route::get('register/verify/{code}/{email}', 'Auth\RegisterController@verify');

//SearchIntelligent
Route::name('autocomplete')->get('searchweb', 'AdminController@autocomplete');

//Products x Categorias
Route::name('welcome-cat1')->get('/cat1', 'ProductsController@indexCat1');
Route::name('welcome-cat2')->get('/cat2', 'ProductsController@indexCat2');
Route::name('welcome-cat3')->get('/cat3', 'ProductsController@indexCat3');
Route::name('welcome-cat4')->get('/cat4', 'ProductsController@indexCat4');
Route::name('welcome-cat5')->get('/cat5', 'ProductsController@indexCat5');
Route::name('welcome-cat6')->get('/cat6', 'ProductsController@indexCat6');
Route::name('welcome-cat7')->get('/cat7', 'ProductsController@indexCat7');
Route::name('welcome-cat8')->get('/cat8', 'ProductsController@indexCat8');
Route::name('welcome-cat9')->get('/cat9', 'ProductsController@indexCat9');
Route::name('welcome-cat10')->get('/cat10', 'ProductsController@indexCat10');

//Products
Route::name('product-detail')->get('product/{slug}', 'ProductsController@show');

//Autenticación
Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');

//Footer
Route::name('tyc')->get('ayuda/tyc', 'ProductNewController@showtyc');
Route::name('pdp')->get('ayuda/pdp', 'ProductNewController@showpdp');
Route::name('about-us')->get('/about', 'ProductNewController@showabout');

//FingerData
Route::name('finger-data')->get('user/finger/data', 'AdminController@showfinger');
Route::name('finger')->post('user/finger/datapost', 'AdminController@finger');

//Group Routes Administrador
Route::group(['middleware' => 'admin'], function () {
    //Dashboard Admin
    Route::name('paneladmin')->get('paneladmin', 'AdminController@admin');
    Route::name('productadmin')->get('productadmin', 'AdminController@productadmin');
    Route::name('usuarioadmin')->get('usuarioadmin', 'EstadisticasController@sexos');
    Route::name('usuarioestados')->get('usuarioestados', 'EstadisticasController@estados');
    Route::name('usuariopaises')->get('usuariopaises', 'EstadisticasController@paises');
    Route::name('usuarioresoluciones')->get('usuarioresoluciones', 'EstadisticasController@resoluciones');
    Route::name('usuarionavegadores')->get('usuario.navegadores', 'EstadisticasController@navegadores');
    Route::name('idiomaadmin')->get('idiomaadmin', 'EstadisticasController@idiomaadmin');
    Route::name('soadmin')->get('soadmin', 'EstadisticasController@so');
    Route::name('ventaadmin')->get('ventaadmin', 'AdminController@ventaadmin');
    Route::name('otheradmin')->get('otroadmin', 'AdminController@other');
    Route::name('paisadmin')->post('paisadmin', 'AdminController@procesamiento');
    Route::name('edit_pais')->post('paisadminedit', 'AdminController@editpais');
    Route::name('edadadmin')->get('edadadmin', 'EstadisticasController@edad');
    Route::name('consulta')->post('admin/date/data', 'EstadisticasController@fecha');
    Route::name('grafica')->get('grafica_sexo/{fechai}/{fechaf}', 'EstadisticasController@registros_mes');
    Route::name('grafica_total')->get('grafica_total/{anio}/{mes}', 'EstadisticasController@registro_total_mes');
    Route::name('grafica_total_idiomas')->get('grafica_total_idiomas/{anio}/{mes}', 'EstadisticasController@registro_total_idiomas');
    //CategoriesAdd
    Route::resource('admin/category', 'CategoryController');
});

//Group Routes User Standard
Route::group(['middleware' => 'auth'], function () {
    //Products
    Route::name('product-create')->get('sale/product/create', 'ProductsController@create');
    Route::post('sale/product/create', 'ProductsController@store');
    //ProductsUser
    Route::name('product-user')->get('user/product', 'ProductNewController@show');
    Route::name('my_account')->get('user/account', 'ProductNewController@showaccount');
    Route::name('user-sales')->get('user/sales', 'ProductNewController@showsales');
    Route::name('user-sell')->get('user/sell', 'ProductNewController@showsell');
    //Cart
    Route::name('cart-show')->get('cart/show', 'CartController@show');
    Route::name('cart-add')->get('cart/add/{product}', 'CartController@add');
    Route::name('cart-delete')->get('cart/delete/{product}', 'CartController@delete');
    Route::name('cart-trash')->get('cart/trash', 'CartController@trash');
    Route::name('cart-update')->get('cart/update/{product}/{quantity?}', 'CartController@update');
    //Detalles del pedido.
    Route::get('order-detail', [
        'as'   => 'order-detail',
        'uses' => 'CartController@orderDetail',
    ]);
    //Enviar pedido a paypal
    Route::get('payment', array(
        'as'   => 'payment',
        'uses' => 'PayPalController@postPayment',
    ));
    //PayPal redirecciona a esta HaruAnnotation
    Route::get('payment/status', array(
        'as'   => 'payment.status',
        'uses' => 'PayPalController@getPaymentStatus',
    ));
    //UpdateUser
    Route::get('user/{id}/edit', 'UserController@edit')->name('user-edit');
    Route::post('user/{id}/edit', 'UserController@Update')->name('user-update');

});
