<?php $__env->startSection('content'); ?><hr>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card card-default">
                <div class="card-header">Registrar Producto</div>

                <div class="card-body">
                    <form method="POST" enctype="multipart/form-data">

                      <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <p class="alert alert-danger"><?php echo e($error); ?></p>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                      <?php if(session('status')): ?>
                        <div class="alert alert-success">
                          <?php echo e(session('status')); ?>

                        </div>
                      <?php endif; ?>
                      <!-- //Token para formulario -->
                      <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>">

                        <div class="form-group row">
                            <label for="producto" class="col-md-4 col-form-label text-md-right">Nombre del Producto</label>

                            <div class="col-md-6">
                                <input id="nombre" type="text" class="form-control<?php echo e($errors->has('nombre') ? ' is-invalid' : ''); ?>" name="nombre" value="<?php echo e(old('nombre')); ?>" required autofocus>

                                <?php if($errors->has('nombre')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('nombre')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="precio" class="col-md-4 col-form-label text-md-right">Precio</label>

                            <div class="col-md-6">
                                <input id="precio" placeholder="$" type="text" class="form-control<?php echo e($errors->has('precio') ? ' is-invalid' : ''); ?>" name="precio" value="<?php echo e(old('precio')); ?>" required autofocus>
                                <?php if($errors->has('precio')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('precio')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="descripcion" class="col-md-4 col-form-label text-md-right">Descripción</label>

                            <div class="col-md-6">
                              <textarea id="descripcion" name="descripcion" class="form-control<?php echo e($errors->has('descripcion') ? ' is-invalid' : ''); ?>" name="descripcion" value="<?php echo e(old('descripcion')); ?>" required></textarea>
                                <?php if($errors->has('descripcion')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('descripcion')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="cantidad" class="col-md-4 col-form-label text-md-right">Cantidad</label>

                            <div class="col-md-6">
                                <input id="cantidad" type="number" min="1" max="100" class="form-control<?php echo e($errors->has('cantidad') ? ' is-invalid' : ''); ?>" name="cantidad" required>

                                <?php if($errors->has('cantidad')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('cantidad')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="categoria" class="col-md-4 col-form-label text-md-right">Categoria</label>

                            <div class="col-md-6">
                                <select name="id_categoria" id="id_categoria" class="form-control<?php echo e($errors->has('') ? ' is-invalid' : ''); ?>" name="id_categoria" required>
                                  <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categorie): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($categorie->id); ?>"><?php echo e($categorie->nombre); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>

                                <?php if($errors->has('id_categoria')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('id_categoria')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="id_uso" class="col-md-4 col-form-label text-md-right">Estado de uso</label>

                            <div class="col-md-6">
                                <select name="id_uso" id="id_uso" class="form-control<?php echo e($errors->has('') ? ' is-invalid' : ''); ?>" name="id_uso" required>
                                  <?php $__currentLoopData = $usestate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $use): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($use->id); ?>"><?php echo e($use->nombre); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>

                                <?php if($errors->has('id_uso')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('id_uso')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="imagen" class="col-md-4 col-form-label text-md-right">Imágen</label>

                            <div class="col-md-6">
                                <input id="imagen" type="file" name="imagen" required accept="image/*">

                                <?php if($errors->has('imagen')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('imagen')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Publicar Producto
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div><hr>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>